mmapfiles.d(1m)

NAME
mmapfiles.d - mmap'd files by process. Uses DTrace.

SYNOPSIS
mmapfiles.d

DESCRIPTION
This prints statistics on the pathnames that were mmap'd by processes. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the syscall provider.

EXAMPLES

This samples until Ctrl-C is hit.
    # mmapfiles.d

FIELDS

MMAPS
    number of mmaps

CMD process name

PATHNAME
    pathname of mmap'd file

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
mmapfiles.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)